summaryrefslogtreecommitdiff
path: root/tests/t0283-overlap-partitions.sh
diff options
context:
space:
mode:
authorBrian C. Lane <bcl@redhat.com>2014-03-25 17:44:08 -0700
committerBrian C. Lane <bcl@redhat.com>2014-04-08 14:02:10 -0700
commit368e47b1c00ed36c07275815f69274a985b4aab8 (patch)
treeb2fd5db25e17358c3f4b93411ed80b0cd17792d2 /tests/t0283-overlap-partitions.sh
parent3398e82af3d26cc1ab938f2e0896204f11bce4ca (diff)
downloadparted-368e47b1c00ed36c07275815f69274a985b4aab8.tar.gz
tests: Add emit_superuser_warning for gpt tests
When parted runs without script mode it will print a warning about not being superuser. Add the library call to add this to expected output from the tests. * tests/t0281-gpt-grow.sh: Add emit_superuser_warning * tests/t0282-gpt-move-backup.sh: Add emit_superuser_warning * tests/t0283-overlap-partitions.sh: Add emit_superuser_warning
Diffstat (limited to 'tests/t0283-overlap-partitions.sh')
-rw-r--r--tests/t0283-overlap-partitions.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/t0283-overlap-partitions.sh b/tests/t0283-overlap-partitions.sh
index 2a53407..c7ae52a 100644
--- a/tests/t0283-overlap-partitions.sh
+++ b/tests/t0283-overlap-partitions.sh
@@ -74,7 +74,8 @@ mv out o2 && sed -e "s,/.*/$dev,DEVICE,;s, * ,,g;s, $,," \
-e "s,^.*/lt-parted: ,parted: ," -e "s/^GNU Parted .*$/GNU Parted VERSION/" o2 > out
# check for expected output
-cat <<EOF > exp || fail=1
+emit_superuser_warning > exp || fail=1
+cat <<EOF >> exp || fail=1
GNU Parted VERSION
Using DEVICE
Welcome to GNU Parted! Type 'help' to view a list of commands.
@@ -116,7 +117,8 @@ mv out o2 && sed -e "s,/.*/$dev,DEVICE,;s, * ,,g;s, $,," \
-e "s,^.*/lt-parted: ,parted: ," -e "s/^GNU Parted .*$/GNU Parted VERSION/" o2 > out
# check for expected output
-cat <<EOF > exp || fail=1
+emit_superuser_warning > exp || fail=1
+cat <<EOF >> exp || fail=1
GNU Parted VERSION
Using DEVICE
Welcome to GNU Parted! Type 'help' to view a list of commands.